package org.lixm.core.model;

import org.lixm.core.common.XMLType;

/**
 * <p>CDATAセクションをモデル化します。</p>
 * @author tasogare
 * @version 1.0.1
 */
public class StartCdataModel extends AbstractModel {

    public StartCdataModel() {
        super(XMLType.START_CDATA);
    }

    /**
     * {@inheritDoc}
     */
    public String toString() {
        return "<![CDATA[";
    }

    /**
     * <p>モデルの同一性を論理的に調べその結果を返します。</p>
     * @return 同一のモデルなら<code>true</code>、違うなら<code>false</code>。
     */
    public boolean equals(
        Object o)
    {
        if (!super.equals(o)) return false;
        return ( this.toString( ) == o.toString( ) );
    }
}
